package com.brettstevens.gymdiary;

import com.brettstevens.gymdiary.R;
import com.brettstevens.gymdiary.db.Db;
import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;


public class AddExerciseActivity extends Activity {
	//initate database
	Db exerciseDb = new Db(this);
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_db_add_exercise);
       
        //Set add exercise button
        final Button addExercise = (Button) findViewById(R.id.addEntryButton);
        //add listener to button 
        addExercise.setOnClickListener(
			new View.OnClickListener() {	
				@Override
				public void onClick(View v) {
					//here takes what is in the current Edit text box as a string 
					EditText exerciseName = (EditText) findViewById(R.id.exerciseNameTextField);
					String exerciseNameText = exerciseName.getText().toString();
					
					//Check if text box is empty, if it is show warning, if not attempt to add to database
					if(!exerciseNameText.isEmpty()) {
						//If successful show added in toast pop up otherwise display error message
						if(exerciseDb.addExercise(exerciseNameText, -1)) {
							toast(exerciseNameText + " added");
						} else {
							toast("There was an error adding " + exerciseNameText);
						}
					} else {
						toast("Exercise name field is empty");
					}
				}
			}
			
        );
    }
    //Method to send toast, and clear text box to empty 
    protected void toast(String message) {
    	Toast.makeText(this, new String(message), Toast.LENGTH_SHORT).show();
    	EditText textField = (EditText) findViewById(R.id.exerciseNameTextField);
    	textField.setText("", TextView.BufferType.EDITABLE);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
}