package com.brettstevens.gymdiary;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import com.brettstevens.gymdiary.R;
import com.brettstevens.gymdiary.db.Db;
import android.os.Bundle;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.Spinner;
import android.widget.Toast;


public class EditExerciseActivity extends Activity {
	HashMap<String, String> listOfAllExercises;
	//initialize database
	Db exerciseDb = new Db(this);
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_db_edit_exercise);
        
        populateSpinner();
        
        //Set button to delete exercise
        final Button deleteExercise = (Button) findViewById(R.id.deleteSelectedItemButton);
        
        
        //Set dialog to show caution message when deleting exercise entry else if not "failed to delete"
		final AlertDialog.Builder dialog = new AlertDialog.Builder(this);
		dialog.setTitle("Caution");
		dialog.setMessage("Removing an exercise deletes all related entries");
		dialog.setPositiveButton("OK", new DialogInterface.OnClickListener() {
		      public void onClick(DialogInterface dialog, int which) {
		    	  Spinner exerciseName = (Spinner) findViewById(R.id.editExerciseSpinner);
					String exerciseNameText = exerciseName.getSelectedItem().toString();
					if(exerciseName.getAdapter().getCount()  > 2) { 
						if(exerciseDb.removeExercise(Integer.parseInt(listOfAllExercises.get(exerciseNameText))) > 0) {
							toast(exerciseNameText + " deleted");
							populateSpinner();
						} else {
							toast("Failed to delete " + exerciseNameText);
						}
						
					//Error message if user attempts to delete all the records(there must be two minimum 	
					} else {
						toast("Spinner needs to have at least two items in it to populate");
					}
		      } 
		});
		//dialog message to cancel action
		dialog.setNegativeButton("Cancel", new DialogInterface.OnClickListener() {
			public void onClick(DialogInterface dialog, int which) {
				
			}
		});
        
        // Listener to delete exercise button
        deleteExercise.setOnClickListener(
			new View.OnClickListener() {	
				@Override
				public void onClick(View v) {
					dialog.show();
				}
			}
			
        );

    }
    
    protected void toast(String message) {
    	Toast.makeText(this, new String(message), Toast.LENGTH_SHORT).show();
    }

    protected void populateSpinner() {
        final Spinner exercisesContainer = (Spinner) findViewById(R.id.editExerciseSpinner);
        
        listOfAllExercises = exerciseDb.getExercises();
        List<String> exerciseList = new ArrayList<String>();
        
        Log.d("GymDiary", "Enumerating values from keys");
        for (String key : listOfAllExercises.keySet()) {
        	exerciseList.add(key);
        	Log.d("GymDiary", key + " added to list");
        }
        
        Log.d("GymDiary", "Creating adapter");
        if(exerciseList.size() == 1) {
        	
        }
        ArrayAdapter<String> spinnerAdapter = new ArrayAdapter<String>(this, android.R.layout.simple_spinner_item, exerciseList);
        spinnerAdapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        
        Log.d("GymDiary", spinnerAdapter.getItem(1).toString());
        
        Log.d("GymDiary", "Adding to spinner");
        exercisesContainer.setAdapter(spinnerAdapter);
    }
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
}