package com.brettstevens.gymdiary;

import com.brettstevens.gymdiary.R;
import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.widget.Button;

public class MainActivity extends Activity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        //Set button to go to scan NFC tag page
        final Button goToScanTagButton = (Button) findViewById(R.id.goToScanTagButton);
        
        
        //Add click listener to button
        goToScanTagButton.setOnClickListener(
			new View.OnClickListener() {	
				@Override
				
				public void onClick(View v) {
					//on click generate new intent, starts NFC activity
					Intent changeToScanTagView = new Intent(v.getContext(), NFCActivity.class);
					startActivityForResult(changeToScanTagView, 0);
				}
			}
			
        );
        
        //Set button to go to database page
        final Button goToDbButton = (Button) findViewById(R.id.goToDbButton);
      //Add click listener to button
        goToDbButton.setOnClickListener(
			new View.OnClickListener() {	
				@Override
				public void onClick(View v) {
					//on click generate new intent, starts Database activity
					Intent changeToDbView = new Intent(v.getContext(), DBActivity.class);
					startActivityForResult(changeToDbView, 0);
				}
			}		
        );
        
        //Set button to go to manual entry page
        final Button goToManualEntryButton = (Button) findViewById(R.id.goToManualEntryButton);
        
        goToManualEntryButton.setOnClickListener(
			new View.OnClickListener() {	
				@Override
				public void onClick(View v) {
					//on click generate new intent and set from tag, starts manual exercise entry activity
					Intent changeToManualEntryView = new Intent(v.getContext(), AddExerciseEntryManualActivity.class);
					changeToManualEntryView.putExtra("from", "home");
					startActivityForResult(changeToManualEntryView, 0);
				}
			}		
        );
        
        //Set button to go to calendar page
        final Button goToCalendarButton = (Button) findViewById(R.id.goToCalendarButton);
        
        goToCalendarButton.setOnClickListener(
			new View.OnClickListener() {	
				@Override
				public void onClick(View v) {
					Intent changeToCalendarView = new Intent(v.getContext(), CalendarActivity.class);
					startActivityForResult(changeToCalendarView, 0);
				}
			}
			
        );
        
        //Set button to go to stopwatch page
        final Button goToStopWatchButton = (Button) findViewById(R.id.goToStopWatchButton);
        //adds listner to help page button
        goToStopWatchButton.setOnClickListener(
			new View.OnClickListener() {	
				@Override
				public void onClick(View v) {
					//on click generate new intent stop watch activity
					Intent changeToStopWatchView = new Intent(v.getContext(), StopWatchActivity.class);
					startActivityForResult(changeToStopWatchView, 0);
				}
			}
			
        );
        
      //Set button to go to help page
        final Button goToHelpButton = (Button) findViewById(R.id.goToHelpButton);
        //adds listener to help page button 
        goToHelpButton.setOnClickListener(
			new View.OnClickListener() {	
				@Override
				public void onClick(View v) {
					//on click generate new intent, starts activity for help view
					Intent changeToHelpView = new Intent(v.getContext(), HelpActivity.class);
					startActivityForResult(changeToHelpView, 0);
				}
			}
			
        );
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
}