package com.brettstevens.gymdiary;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.os.SystemClock;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.Chronometer;


public class StopWatchActivity extends Activity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_stopwatch);
        
        //sets chronometer to a variable 
        final Chronometer stopWatch = (Chronometer) findViewById(R.id.stopWatchChronometer);
        
        //Set start/stop button
        final Button startStopButton = (Button) findViewById(R.id.stopStartWatchButton);
        
        //Sets listener for start / stop button
        startStopButton.setOnClickListener(
			new View.OnClickListener() {	
				@Override
				public void onClick(View v) {
					
					String button = startStopButton.getText().toString();
					
					if(button.equals("Start")) {
						stopWatch.setBase(SystemClock.elapsedRealtime());
						stopWatch.start();
						//On button press changes colour of button to red
						startStopButton.setBackgroundColor(Color.parseColor("#bd362f"));
						startStopButton.setText("Stop");
					} else {
						stopWatch.stop();
						//On button press changes colour of button to green
						startStopButton.setBackgroundColor(Color.parseColor("#51a351"));
						startStopButton.setText("Start");
					}
				}
			}		
        );
        
        //Set button to go to manual entry
        final Button resetButton = (Button) findViewById(R.id.resetStopWatchButton);
        
        
        //Sets listener for rest button
        resetButton.setOnClickListener(
			new View.OnClickListener() {	
				@Override
				public void onClick(View v) {
					stopWatch.setBase(SystemClock.elapsedRealtime());
				}
			}		
        );
        
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
}