package com.brettstevens.gymdiary;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import com.brettstevens.gymdiary.R;
import com.brettstevens.gymdiary.db.Db;

import android.os.Bundle;
import android.app.Activity;
import android.util.Log;
import android.view.Menu;
import android.widget.ArrayAdapter;
import android.widget.ListView;


public class ViewExercisesActivity extends Activity {
	
	//Initializes database
	protected Db gymDiaryDb = new Db(this);
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_db_view_exercises);
        
        //Selects all exercises and returnsd hash with name and id 
        HashMap<String, String> listOfAllExercises = gymDiaryDb.getExercises();
        List<String> exerciseList = new ArrayList<String>();
        
        //debug message
        Log.d("GymDiary", "Enumerating values from keys");
        
        //loop through to get key
        for (String key : listOfAllExercises.keySet()) {
        	exerciseList.add(key);
        	Log.d("GymDiary", key + " added to list");
        }
        
        ListView list = (ListView) findViewById(R.id.exercisesInDatabaseList);
        
        ArrayAdapter<String> listAdapter = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, exerciseList);
        
        //debug message 
        Log.d("GymDiary", "Adding to list");
        list.setAdapter(listAdapter);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
}